Debian Bug report logs - #678095
smarty3: Smarty 3.1.8 fails to load templates with relative paths

version graph

Package: smarty3; Maintainer for smarty3 is Mike Gabriel <sunweaver@debian.org>; Source for smarty3 is src:smarty3.

Reported by: Cajus Pollmeier <pollmeier@gonicus.de>

Date: Tue, 19 Jun 2012 07:33:02 UTC

Severity: important

Found in version smarty3/3.1.8-2

Fixed in version smarty3/3.1.10-1

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug#678095; Package smarty3. (Tue, 19 Jun 2012 07:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cajus Pollmeier <pollmeier@gonicus.de>:
New Bug report received and forwarded. Copy sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>. (Tue, 19 Jun 2012 07:33:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Cajus Pollmeier <pollmeier@gonicus.de>
To: submit@bugs.debian.org
Subject: smarty3: Smarty 3.1.8 fails to load templates with relative paths
Date: Tue, 19 Jun 2012 09:31:39 +0200
[Message part 1 (text/plain, inline)]
Package: smarty3
Version: 3.1.8-2
Severity: important

Dear Maintainer,

some packages use the feature of having relative template paths and need major 
workarounds. The bug has been fixed upstream in 3.1.9 - 3.1.10 is the latest 
and greatest which fixes another problem with closing tags. Maybe it would be 
a good idea to update to 3.1.10 before the freeze arrives.

Cheers,
Cajus

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 3.2.0-2-686-pae (SMP w/2 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages smarty3 depends on:
ii  php5-cli  5.4.4-1

smarty3 recommends no packages.

smarty3 suggests no packages.

-- no debconf information
[signature.asc (application/pgp-signature, inline)]

Reply sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
You have taken responsibility. (Wed, 20 Jun 2012 12:29:41 GMT) Full text and rfc822 format available.

Notification sent to Cajus Pollmeier <pollmeier@gonicus.de>:
Bug acknowledged by developer. (Wed, 20 Jun 2012 12:30:41 GMT) Full text and rfc822 format available.

Message #10 received at 678095-close@bugs.debian.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 678095-close@bugs.debian.org
Subject: Bug#678095: fixed in smarty3 3.1.10-1
Date: Wed, 20 Jun 2012 11:33:11 +0000
Source: smarty3
Source-Version: 3.1.10-1

We believe that the bug you reported is fixed in the latest version of
smarty3, which is due to be installed in the Debian FTP archive:

smarty3_3.1.10-1.debian.tar.gz
  to main/s/smarty3/smarty3_3.1.10-1.debian.tar.gz
smarty3_3.1.10-1.dsc
  to main/s/smarty3/smarty3_3.1.10-1.dsc
smarty3_3.1.10-1_all.deb
  to main/s/smarty3/smarty3_3.1.10-1_all.deb
smarty3_3.1.10.orig.tar.gz
  to main/s/smarty3/smarty3_3.1.10.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 678095@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mike Gabriel <mike.gabriel@das-netzwerkteam.de> (supplier of updated smarty3 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 19 Jun 2012 16:41:06 +0200
Source: smarty3
Binary: smarty3
Architecture: source all
Version: 3.1.10-1
Distribution: unstable
Urgency: low
Maintainer: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Changed-By: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Description: 
 smarty3    - Template engine for PHP
Closes: 678095
Changes: 
 smarty3 (3.1.10-1) unstable; urgency=low
 .
   * New upstream release. Closes: #678095.
Checksums-Sha1: 
 73e7c5d15d8796bccc9e6da10f19b27b0850b6f4 1217 smarty3_3.1.10-1.dsc
 5a71931c986a2493e2ffbaac1ed6e05f78336e6e 1644260 smarty3_3.1.10.orig.tar.gz
 df236829dad28b416067ff6d42997f2bb8e71aa5 3789 smarty3_3.1.10-1.debian.tar.gz
 0e044ba2f4e0934e6d3c8679b7ca0b95d0fddd2d 208952 smarty3_3.1.10-1_all.deb
Checksums-Sha256: 
 e914578e815800efc3cbce172b8ed7dc5e43cfff61057e59538e9fc1c4edef24 1217 smarty3_3.1.10-1.dsc
 91fa8ca11287420af9c98ddf6fd8f66fdf0ec243f88f6d95f9c4137421d1da71 1644260 smarty3_3.1.10.orig.tar.gz
 b620117ed11049a16ef112866598358af725fd0bb4a3f226de30615c490da5fe 3789 smarty3_3.1.10-1.debian.tar.gz
 2191d2dc9887ece9c7a189c782e32711e320a292df1a4353e1c3386ff8f8717d 208952 smarty3_3.1.10-1_all.deb
Files: 
 a2fd9f1d17470b60c9d16a6bf4843efd 1217 web optional smarty3_3.1.10-1.dsc
 727cc6056a636ed18b7661671e096b1f 1644260 web optional smarty3_3.1.10.orig.tar.gz
 199dc6096fc2088fd3ff4a8401a26ea6 3789 web optional smarty3_3.1.10-1.debian.tar.gz
 b933cbb1c2ebddfda23f68f13edd37da 208952 web optional smarty3_3.1.10-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iD8DBQFP4bQ6tyibJ/7Y+CYRAqgyAJ9k6rmb6qalD26sXhYPfIVBM8Ys0gCg1OLw
szpi0B7Lk9Xi4xXN0XSeJxA=
=dlFx
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 29 Jul 2012 07:35:18 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 10:36:56 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.